Skip to main content
POST
/
campaigns
/
{parent_campaign_id}
/
executions
curl --request POST \
  --url https://api-{dc}.moengage.com/core-services/v1/campaigns/{parent_campaign_id}/executions \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --header 'MOE-APPKEY: <moe-appkey>' \
  --data '
{
  "request_id": "child_req_12345",
  "page": 1,
  "limit": 15
}
'
{
  "executions": [
    {
      "campaign_id": "camp_child_001",
      "sent_time": "2024-06-24T14:30:18.908000",
      "status": "Sent"
    },
    {
      "campaign_id": "camp_child_002",
      "sent_time": "2024-06-24T15:27:45.971000",
      "status": "Sent"
    },
    {
      "campaign_id": "camp_child_003",
      "sent_time": "2024-06-24T15:47:43.528000",
      "status": "Sent"
    },
    {
      "campaign_id": "camp_child_004",
      "sent_time": "2024-06-24T15:54:26.254000",
      "status": "Sent"
    },
    {
      "campaign_id": "camp_child_005",
      "sent_time": "2024-06-24T16:35:01.834000",
      "status": "Sending"
    }
  ],
  "total_instances": 8
}

Documentation Index

Fetch the complete documentation index at: https://moengage.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Information Retrieved

  • Child campaign IDs
  • Sent time for each execution
  • Status of each child campaign
  • Total number of times the parent campaign has been executed
Note
  • Currently, you can use this API to get the child of Periodic and Business Event-triggered Email and Push campaigns.
  • You can only retrieve child campaigns for campaigns created via the Create Campaign API.
  • Results are paginated with a maximum of 15 children per page.

Rate Limits

Rate Limit NameRate Limit
get child campaign per secondThe total number of get child campaigns requests per second per client allowed is 10.
get child campaign per minuteThe total number of get child campaigns requests per minute per client allowed is 100.
get child campaign per hourThe total number of get child campaigns requests per hour per client allowed is 6000.
Notes
  • Breaching the limits will reject the request.
  • Per hour and per day limits will consider the calculation based on the last hour and last 24 hrs respectively.

Authorizations

Authorization
string
header
required

Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.

  • Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
  • Password: Use your API Key, which you can find within the Campaign report/Business events/Custom templates/Catalog API/Inform Report tile.

For more information on authentication and getting your credentials, refer here.

Headers

MOE-APPKEY
string
required

This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).

Path Parameters

parent_campaign_id
string
required

The unique ID of the parent campaign (Periodic or Business Event-triggered).

You can fetch the parent campaign ID using the Search Campaigns API.

Body

application/json

Provide pagination parameters for retrieving child campaign executions.

You can request to retrieve child campaign execution details.

request_id
string
required

A unique identifier for this child campaigns retrieval request.

Example:

"child_req_12345"

limit
integer
required

The number of child campaigns to display per page.

Maximum: 15

Required range: 1 <= x <= 15
Example:

15

page
integer
required

The page number to retrieve.

For example, if there are 100 child campaigns and limit is 10, there will be 10 pages.

Required range: x >= 1
Example:

1

Response

Successfully retrieved child campaign execution details

Response containing child campaign execution details.

executions
object[]

Array of child campaign execution details.

total_instances
integer

The total number of times the parent campaign has been executed.

Example:

8